@use './styles/loader-spinner.variations' as variations;
@use './styles/loader-spinner.variables' as *;

:host {
	@include digi-loader-spinner--variables;
	$base: '.digi-loader-spinner';

	.digi-loader-spinner {
		&--small {
			@include variations.small;
		}

		&--medium {
			@include variations.medium;
		}

		&--large {
			@include variations.large;
		}

		display: flex;
		flex-direction: column;
		align-items: center;
		width: max-content;
		padding: var(--PADDING);

		&__container {
			height: max-content;
			width: max-content;
		}

		&__spinner {
			animation: animation__rotation .5s * 6 infinite linear;
  			transform-origin: center;
			--digi--icon--height: var(--ICON-HEIGHT);

			@media (prefers-reduced-motion) {
				animation: none;
			}

			@keyframes animation__rotation {

				from {
					transform: rotate(0deg);
				}
			
				to {
					transform: rotate(359deg);
				}
			}
		}

		&__label {
			margin-top: var(--digi--gutter--medium);
		}
	}
}
